Skip to main content
`Ctrl`+`K`

# PCMGGalerkinGetMatProductAlgorithm

Get type of SpGEMM for hypre to use on GPUs

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCMGGalerkinGetMatProductAlgorithm(PC pc, const char *name[])

Not Collective

## Input Parameter

- pc - the multigrid context

## Output Parameter

- name - one of ‘cusparse’, ‘hypre’

## See Also

KSP: Linear System Solvers, `PCHYPRE`, `PCMGGalerkinSetMatProductAlgorithm()`

## Level

intermediate

## Location

src/ksp/pc/impls/hypre/hypre.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages